%define	major 9
%define libname	%mklibname config %{major}
%define libxx	%mklibname config++ %{major}
%define develname	%mklibname -d config

Summary:	Configuration file parsing library
Name:		libconfig
Version:	1.4.9
Release:	1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.gz

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:		System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libxx}
Summary:	Configuration file parsing library
Group:		System/Libraries
Conflicts:	%{libname} < 1.4.8-1

%description -n	%{libxx}
libconfig++ - Consistent configuration library.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libxx} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  %_lib%{name}0-devel

%description -n	%{develname}
This package contains the development %{name} libraries and its header
files.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files -n %{libname}
%{_libdir}/libconfig.so.%{major}*

%files -n %{libxx}
%{_libdir}/libconfig++.so.%{major}*

%files -n %{develname}
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*



%changelog
* Thu Oct 04 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.4.9-1
+ Revision: 818423
- version update 1.4.9 added tar.gz
- version update 1.4.9

* Thu Dec 15 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.4.8-1
+ Revision: 741574
- no more libconfig_tests
- disabled static build
- new version 1.4.8
- split out ++ lib pkg
- cleaned up spec

* Thu Jun 16 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.7-1
+ Revision: 685583
- new version

* Sun May 22 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-5
+ Revision: 677164
- rebuild

* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 1.4.5-4
+ Revision: 661580
- opennet is not required

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-3mdv2011.0
+ Revision: 606405
- rebuild
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 1.4.5
    - fix license
    - set disable_ld_no_undefined to 0
    - check major
    - new major 9

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-1mdv2010.1
+ Revision: 509070
- new version

* Sat Sep 12 2009 Thierry Vignaud <tv@mandriva.org> 0.2.3-7mdv2010.0
+ Revision: 438536
- rebuild

* Thu Mar 12 2009 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-6mdv2009.1
+ Revision: 354044
- fix build (eg use _disable_ld_no_undefined)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 0.2.3-3mdv2008.1
+ Revision: 172467
- fix devel name
- 0.2.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

